Mackie announces Vista Support for Onyx Compact Series Mixers

Mackie today announces Vista support for the Onyx FireWire Card and adds Vista 64 support for all FireWire devices. Users of Mackie FireWire interfaces such as the Onyx Satellite, d.Pro Series DJ Mixers and now the Onyx FireWire card can now enjoy support under the Windows Vista operating system. This update not only adds compatibility, but includes feature updates from the previous build. The following FireWire interfaces are compatible with Mackie Audio Driver V1.1.0: Onyx FireWire Card, Onyx Satellite, u.420, u.420d, d.2 Pro, d.4 Pro and TAPCO Link.FireWire.

The Mackie 400F & 1200F have been Vista compatible for some time, no update required.

For more information, visit their web site at



Post Your Thoughts